
Figure - Bug #118882
【AF】【EVT3】先点击网易云音乐（点击无法打开），再点击巅峰极速，桌面冻住
2023-06-21 19:37 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-06-21

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: release版本0112（621）

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause:

Description

【测试步骤】

先点击网易云音乐，再点击巅峰极速

【预期结果】

网易云音乐打开正常，巅峰极速打开正常

【测试步骤】

网易云音乐无法打开，点击巅峰极速桌面冻住

History

#1 - 2023-06-25 14:11 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW 曹覃刚

#2 - 2023-06-25 17:35 - 物联网测试组_CDTS  唐霞 

- File logcat.txt added

- File 中科创达软件股份有限公司20230625-173414.mp4 added

#3 - 2023-06-25 18:12 - 物联网测试组_CDTS  唐霞 

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug%20%23118882

#4 - 2023-06-29 14:58 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

■ 我的分析

与测试沟通后，问题发生前提条件如下

使用90版本的网易云音乐，需要先卸载一次网易云，再adb安装回90版本的网易云, 才会复现网易云打不开的情况，进而导致本票问题的发生

使用其他版本的网易云不会发生，例如在应用宝下载最新的网易云音乐是正常的

在发生网易云打不开问题的情况下，操作巅峰极速，导致桌面冻住的原因是发生了下列死锁

------------

"Binder:1488_F" prio=5 tid=150 Blocked  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x14940048 self=0xb4000078edfd7230  | sysTid=5405 nice=-10 cgrp=default

sched=0/0 handle=0x76e8260cb0  | state=S schedstat=( 1041531363 2832842250 11172 ) utm=68 stm=35 core=4 HZ=100  | stack=0x76e8169000-0x76e816b000

stackSize=991KB  | held mutexes=

  at com.android.server.apphibernation.AppHibernationService.isHibernatingGlobally(AppHibernationService.java:246)

  - waiting to lock <0x076ca235> (a java.lang.Object) held by thread 43
  at com.android.server.apphibernation.AppHibernationService$LocalService.isHibernatingGlobally(AppHibernationService.java:743)

  at com.android.server.wm.ActivityMetricsLogger.notifyBeforePackageUnstopped(ActivityMetricsLogger.java:858)

  at com.android.server.wm.Task.resumeTopActivityInnerLocked(Task.java:6452)

  at com.android.server.wm.Task.resumeTopActivityUncheckedLocked(Task.java:6212)

  at com.android.server.wm.Task.resumeTopActivityUncheckedLocked(Task.java:6257)

  at com.android.server.wm.RootWindowContainer.resumeFocusedTasksTopActivities(RootWindowContainer.java:2475)

  at com.android.server.wm.RootWindowContainer.resumeFocusedTasksTopActivities(RootWindowContainer.java:2422)

  at com.android.server.wm.RootWindowContainer.resumeFocusedTasksTopActivities(RootWindowContainer.java:2417)

  at com.android.server.wm.ActivityRecord.destroyed(ActivityRecord.java:3449)

  at com.android.server.wm.ActivityClientController.activityDestroyed(ActivityClientController.java:262)

  - locked <0x04ec3cbe> (a com.android.server.wm.WindowManagerGlobalLock)

  at android.app.IActivityClientController$Stub.onTransact(IActivityClientController.java:609)

  at com.android.server.wm.ActivityClientController.onTransact(ActivityClientController.java:134)

  at android.os.Binder.execTransactInternal(Binder.java:1184)

  at android.os.Binder.execTransact(Binder.java:1143)

"PackageManager" prio=5 tid=43 Blocked  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x15302940 self=0xb4000078ededcd30  | sysTid=1675 nice=10

cgrp=default sched=0/0 handle=0x76d090dcb0  | state=S schedstat=( 386932383 83681614 336 ) utm=24 stm=13 core=3 HZ=100  | stack=0x76d080a000-0x76d080c000

stackSize=1039KB  | held mutexes=

  at com.android.server.am.ActivityManagerService.broadcastIntentWithFeature(ActivityManagerService.java:13720)

  - waiting to lock <0x01398635> (a com.android.server.am.ActivityManagerService) held by thread 16

  at com.android.server.apphibernation.AppHibernationService.unhibernatePackageForUser(AppHibernationService.java:410)

  at com.android.server.apphibernation.AppHibernationService.setHibernatingForUser(AppHibernationService.java:292)

  - locked <0x076ca235> (a java.lang.Object)

  at com.android.server.apphibernation.AppHibernationService$LocalService.setHibernatingForUser(AppHibernationService.java:733)

  at com.android.server.pm.PackageManagerService.lambda$setPackageStoppedState$61$PackageManagerService(PackageManagerService.java:24540)

  at com.android.server.pm.PackageManagerService$$ExternalSyntheticLambda48.run(unavailable:-1)

  at android.os.Handler.handleCallback(Handler.java:938)

  at android.os.Handler.dispatchMessage(Handler.java:99)

  at android.os.Looper.loopOnce(Looper.java:201)

  at android.os.Looper.loop(Looper.java:288)

  at android.os.HandlerThread.run(HandlerThread.java:67)

  at com.android.server.ServiceThread.run(ServiceThread.java:44)

"android.display" prio=5 tid=16 Blocked  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x15301380 self=0xb4000078edea8ad0  | sysTid=1602 nice=-3 cgrp=default

sched=0/0 handle=0x76ed5ddcb0  | state=S schedstat=( 1298922344 1592016702 8551 ) utm=77 stm=52 core=4 HZ=100  | stack=0x76ed4da000-0x76ed4dc000

stackSize=1039KB  | held mutexes=

  at com.android.server.wm.ActivityTaskManagerService$LocalService.onProcessAdded(ActivityTaskManagerService.java:5434)

  - waiting to lock <0x04ec3cbe> (a com.android.server.wm.WindowManagerGlobalLock) held by thread 150

  at com.android.server.am.ProcessList$MyProcessMap.put(ProcessList.java:743)

  at com.android.server.am.ProcessList.addProcessNameLocked(ProcessList.java:2989)

  - locked <0x0c0bf11f> (a com.android.server.am.ActivityManagerProcLock)

  at com.android.server.am.ProcessList.newProcessRecordLocked(ProcessList.java:3075)

  at com.android.server.am.ProcessList.startProcessLocked(ProcessList.java:2553)

  at com.android.server.am.ActivityManagerService.startProcessLocked(ActivityManagerService.java:2716)

  at com.android.server.am.ActivityManagerService$LocalService.startProcess(ActivityManagerService.java:16181)

  - locked <0x01398635> (a com.android.server.am.ActivityManagerService)

  at com.android.server.wm.ActivityTaskManagerService$$ExternalSyntheticLambda0.accept(unavailable:-1)

  at com.android.internal.util.function.pooled.PooledLambdaImpl.doInvoke(PooledLambdaImpl.java:363)

  at com.android.internal.util.function.pooled.PooledLambdaImpl.invoke(PooledLambdaImpl.java:204)

  at com.android.internal.util.function.pooled.OmniFunction.run(OmniFunction.java:97)

  at android.os.Handler.handleCallback(Handler.java:938)

  at android.os.Handler.dispatchMessage(Handler.java:99)
  at android.os.Looper.loopOnce(Looper.java:201)

  at android.os.Looper.loop(Looper.java:288)

  at android.os.HandlerThread.run(HandlerThread.java:67)

  at com.android.server.ServiceThread.run(ServiceThread.java:44)

------------

基于下列理由，此件问题推不解

①问题在用户场景基本不会复现

  首先需要特定的网易云音乐版本，然后需要卸载后再adb重装一次，用户场景不存在这种情况

  目前像应用宝下载的最新版本网易云不存在此问题

②在网易云打开异常情况下进而发生的死锁问题，死锁位置是原生调用较为频繁的位置，修改风险极大

  而且此问题发生的前提如①，用户场景不存在

#5 - 2023-06-29 15:29 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD TPM-王祥林

Hi 祥林哥

如上，申请不解，请确认

#6 - 2023-07-01 16:37 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD TPM-王祥林 to 物联网测试组_CDTS  唐霞 

结合上面的分析，此问题为三方应用特定版本的问题，不处理。

#7 - 2023-07-03 16:20 - CDTS_TEST 王成

- Assignee changed from 物联网测试组_CDTS  唐霞  to CDTS_Test 吴诗雨

#8 - 2023-07-03 16:23 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#9 - 2023-07-03 16:23 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

621-1921.txt 34.6 MB 2023-06-21 物联网测试组_CDTS  唐霞 

logcat.txt 7.88 MB 2023-06-25 物联网测试组_CDTS  唐霞 

中科创达软件股份有限公司20230625-173414.mp4 4.75 MB 2023-06-25 物联网测试组_CDTS  唐霞 
